function [coord, array] = lednicer(upper, lower)
    % Lednicer Output airofil coordinates in the Lednicer format
    % -----
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % Apache 2.0 License
    % https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox

    % ----------------------------------------------------------------------------------------------

    coord = [upper; lower];

    nPts = size(upper, 1);
    array = num2str([nPts, nPts; coord], '%0.7f  ');
    sep = blanks(size(array, 2));

    array = [array(1:size(upper, 1), :); sep; array(size(upper, 1) + 1:end, :)];

end
